Subject: Re: [PATCH 0/2] progress: replace setitimer() with alarm()

From: Junio C Hamano <[email-masked]>
Date: Sat, 23 Aug 2025 14:47:34 -0700

Junio C Hamano <[email-masked]> writes:

> Operating system folks may have worked hard to minimize the cost of
> system calls to gettimeofday() in order to help applications that do
> so, but I somehow feel even dirtier to hear proposal to do so to
> replace a signal that we set and forget, to be reminded once every
> second.

I actually think this is probably fine.  It is not like we are
spinning only to wait.  Every iteration we are doing useful work,
and modern gettimeofday() implementations would be fine with this
use case.